---
lang: en
title: 'API docs: context.contextobserver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextObserver](./context.contextobserver.md)

## ContextObserver interface

Observers of context bind/unbind events

**Signature:**

```typescript
export interface ContextObserver 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[filter?](./context.contextobserver.filter.md)


</td><td>


</td><td>

[BindingFilter](./context.bindingfilter.md)


</td><td>

_(Optional)_ An optional filter function to match bindings. If not present, the listener will be notified of all binding events.


</td></tr>
<tr><td>

[observe](./context.contextobserver.observe.md)


</td><td>


</td><td>

[ContextObserverFn](./context.contextobserverfn.md)


</td><td>

Listen on `bind`<!-- -->, `unbind`<!-- -->, or other events


</td></tr>
</tbody></table>


